<div class="container-fluid">
  <form [formGroup]="form" (ngSubmit)="onSubmit()" #formDir="ngForm" novalidate>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">issued Date</label>
            <input type="date" class="form-control"  placeholder="yyy-MM-dd"
                 formControlName="issuedDate"  />
            <div *ngIf="form.get('issuedDate').errors && (form.get('issuedDate').dirty || form.get('issuedDate').touched)">
              <span class="text-danger ml-3" *ngIf="form.get('issuedDate').errors?.required">
                IssuedDate is required.
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Expiry Date</label>
            <input type="date" class="form-control" placeholder="yyy-MM-dd" formControlName="expiryDate"/>
            <div *ngIf="form.get('expiryDate').errors && (form.get('expiryDate').dirty || form.get('expiryDate').touched)">
              <span class="text-danger ml-3" *ngIf="form.get('expiryDate').errors?.required">
                ExpiryDate is required.
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">No. of Years Valid</label>
            <input type="number" class="form-control" placeholder="No. Years Valid"
                   formControlName="numberYearsValid" />
          </div>
          <div *ngIf="form.get('numberYearsValid').errors && (form.get('numberYearsValid').dirty || form.get('numberYearsValid').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('numberYearsValid').errors?.required">
              Number Years Valid is required.
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Load Amount</label>
            <input  type="number" class="form-control" placeholder="Load Amount"
                   formControlName="load" />
          </div>
          <div *ngIf="form.get('load').errors && (form.get('load').dirty || form.get('load').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('load').errors?.required">
              Load Amount is required.
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">Card Type</label>
            <ng-select [items]="cardTypes"
                bindLabel="name"
                bindValue="cardTypeId"
                formControlName="cardType"
                placeholder="Select item"
                appendTo="body">
            </ng-select>
          </div>
          <div *ngIf="form.get('cardType').errors && (form.get('cardType').dirty || form.get('cardType').touched)">
            <span class="text-danger ml-3" *ngIf="form.get('cardType').errors?.required">
              Card Type is required.
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <div class="input-group">
            <label class="form-control">IsActive</label>
            <input type="checkbox" class="form-control" formControlName="isDeleted">
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-8">
        <div class="form-group">
          <button  type="submit" class="btn btn-warning float-left" [disabled]="!form.valid" ><span
            class="fa fa-plus-circle">&nbsp;</span>
            {{mode=='new' ? 'Add ' : 'Update'}}  </button>
        </div>
      </div>
    </div>
  </form>
</div>
